package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.bonus.canteen.core.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("供应商报价对比明细表返回")
public class DrpQuoteComparisonDetailVO {
   @ApiModelProperty("货品招标明细id")
   private Long materialInquiryDetailId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("货品编码")
   private String materialCode;
   @ApiModelProperty("货品")
   private String materialName;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("单位")
   private String unitName;
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("类别")
   private String categoryName;
   @ApiModelProperty("意向中标价")
   private Integer targetPrice;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("指导价格")
   private Integer guidePrice;
   @ApiModelProperty("定价时间")
   private LocalDateTime createTime;
   @ApiModelProperty("说明")
   private String remark;
   @ApiModelProperty("图片")
   private String imageUrl;
   @ApiModelProperty("供应商报价详情列表")
   List<DrpQuoteComparisonDetailSupplierVO> detailList;
   @ApiModelProperty("最近中标价格")
   private Integer recentPrice;
   @ApiModelProperty("最近市场价格")
   private Integer recentMarketPrice;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getMaterialInquiryDetailId() {
      return this.materialInquiryDetailId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public String getCategoryName() {
      return this.categoryName;
   }

   public Integer getTargetPrice() {
      return this.targetPrice;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public Integer getGuidePrice() {
      return this.guidePrice;
   }

   public String getRemark() {
      return this.remark;
   }

   public List<DrpQuoteComparisonDetailSupplierVO> getDetailList() {
      return this.detailList;
   }

   public Integer getRecentPrice() {
      return this.recentPrice;
   }

   public Integer getRecentMarketPrice() {
      return this.recentMarketPrice;
   }

   public void setMaterialInquiryDetailId(final Long materialInquiryDetailId) {
      this.materialInquiryDetailId = materialInquiryDetailId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setCategoryName(final String categoryName) {
      this.categoryName = categoryName;
   }

   public void setTargetPrice(final Integer targetPrice) {
      this.targetPrice = targetPrice;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setGuidePrice(final Integer guidePrice) {
      this.guidePrice = guidePrice;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setDetailList(final List<DrpQuoteComparisonDetailSupplierVO> detailList) {
      this.detailList = detailList;
   }

   public void setRecentPrice(final Integer recentPrice) {
      this.recentPrice = recentPrice;
   }

   public void setRecentMarketPrice(final Integer recentMarketPrice) {
      this.recentMarketPrice = recentMarketPrice;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public void setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
   }
}
